#!BPY

"""
Name: 'PCD Selection'
Blender: 232
Group: 'Misc'
"""


#####################################################################
##  CODE                                                           ##
#####################################################################

import PCD.Core, BlenderInterface, Blender
import random, os, os.path


def DoIt (DatasetName):
    inscene = BlenderInterface.LoadSelection (unlink=True)
    
    outscene = PCD.Core.processScene (inscene, DatasetName)

    BlenderInterface.Save (outscene)



def LoadWithSelector ():
    # open a file selector to get the dataset filename
    Blender.Window.FileSelector (DoIt, 'DataSet')
	

# if this code is being run, load a file into the current scene
if __name__ == '__main__':
    LoadWithSelector ()


