#!/usr/bin/env python

# Written by Alex Mole
# see COPYING for licence information

import sys
assert sys.version >= '2.3', "PCD needs Python 2.3 or greater"
from distutils.core import setup
import PCD


setup (
    name = "PCD",
    version = PCD.version,
    fullname = "Procedural City Detailer",
    description = "Tool to procedurally add details to a 3D virtual city",
    author = "Alex Mole",
    author_email = "<alex@alexmole.co.uk>",
    license = "GPL",
    
    packages = ["PCD", "PCD.Architecture", "PCD.Maths", "PCD.Util"],

    scripts = ["ApplyPCD.py"]
    )

