#
# module to register this dataset
# 

from PCD import RegObjectLoader, MatDefLoader, ObjDefLoader
import os.path, sys


this_dir = os.path.dirname (__file__)
shared_dir = os.path.abspath (os.path.join (this_dir, '../data-shared'))

# load shared data
if shared_dir not in sys.path:
    sys.path.append (shared_dir)

import SharedDataSet
    


def Register (registry):

    print 'registering ny data'
    
    datadir = os.path.dirname (__file__)
    
    RegObjectLoader.RegisterDir ('styles', registry, datadir)
    RegObjectLoader.RegisterDir ('rooffuncs', registry, datadir)
    RegObjectLoader.RegisterDir ('featgenfuncs', registry, datadir)

    print 'calling shared data registration'
    SharedDataSet.Register (registry)

