#
# Base class for roof functions
#

from PCD import Registry
import FeatGen


class FuncError (Exception):
    def __init__ (self, s):
        Exception.__init__ (self)
        self.s = s
    def __str__ (self):
        return repr (self.s)



class Func (FeatGen.Func):
    "Base class for roof generators"

    def generateContent (self, face, registry, prand):
        """Must be implemented by subclass.
        face is a Face object describing the shape of roof needed.
        """
        raise NotImplementedError


