import os, os.path, sys
from PCD import Util


def RegisterDir (dirname, registry, path=''):
    "Registers code modules from a directory to the registry"

    if path not in sys.path:
        sys.path.append (path)
    
    files = os.listdir (os.path.join (path, dirname))
    if '__init__.py' in files:
        files.remove ('__init__.py')
    files = filter (lambda s: s[-3:] == '.py', files)
    modulenames = ['%s.%s'%(dirname, f.split('.')[0]) for f in files]
    
    for modulename in modulenames:
        Register = Util.Module.ImportName (modulename, 'Register')
        if Register != None:
            funcs = Register ()
            for func in funcs:
                registry.registerObject (func)
    



