import unittest

# all of the testing modules
import test_Maths_Vector3D
import test_Maths_Matrix
import test_PRand
import test_Registry
import test_SceneTree



def suite ():
    "Returns a complete test suite"

    s = unittest.TestSuite ()

    # add all of the tests
    s.addTest (test_Maths_Vector3D.suite())
    s.addTest (test_Maths_Matrix.suite())
    s.addTest (test_PRand.suite())
    s.addTest (test_Registry.suite())
    s.addTest (test_SceneTree.suite())

    return s

