from PCD import Architecture
import random


	
class SimpleStyle (Architecture.Style.Style):
    "Simple style with doors on the front and back"

    def __init__ (self):
	Architecture.Style.Style.__init__ (self)
        self._regname = 'simple'

    def _getFeatureList (self):
        win = (random.gauss (1.3,0.2), random.gauss (1.6,0.1))
        door = (random.gauss (1.2,0.2), random.gauss (2.1,0.2))
        return [ ('window','window',win), ('door','door',door),
                 ('roof','roof', None) ]

    def _startFace (self, facetype):
	if facetype == Architecture.Style.MISCFACE:
	    # no doors
	    self.doorcol = -1
	else:
	    self.doorcol = random.randrange (self.ncells[0])

    def _fillCell (self, row, col, cellbase, facetype):
	if row==0 and col==self.doorcol:
	    self.addFeature ('door', cellbase)
	else:    
	    self.addFeature ('window', cellbase)
	


def Register ():
    return [ SimpleStyle() ]

	
