#
# module to register this dataset
# note that this is only a partial dataset for shared stuff
# 

from PCD import MatDefLoader, ObjDefLoader
import os.path


def Register (registry):

    print 'registering shared data'
    datadir = os.path.dirname (__file__)
    
    matdir = os.path.join (datadir, 'materials')
    texdir = os.path.join (datadir, 'textures')
    MatDefLoader.RegisterDir (matdir, registry, texdir)

    objdefdir = os.path.join (datadir, 'objects')
    objdir = os.path.join (datadir, 'objects')
    ObjDefLoader.RegisterDir (objdefdir, registry, objdir)
    

